Bug 123309 - GTK3 Chart - crash when change symbol
Summary: GTK3 Chart - crash when change symbol
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.1 target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-02-10 17:14 UTC by raal
Modified: 2019-02-12 12:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2019-02-10 17:14:11 UTC
Description:
 Chart - crash when change symbol

Steps to Reproduce:
open file from bug 123296
edit chart
format data series
tab Line
click Icon-Select... - choose symbol
click OK
crash 

Actual Results:
crash

Expected Results:
symbol changed


Reproducible: Always


User Profile Reset: No



Additional Info:
Crash only GTK3, no crash in gen
Comment 1 Xisco Faulí 2019-02-10 23:33:10 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7eb71f84db2f2d9a6e79a42d25bb676cf1018a90

author	Caolán McNamara <caolanm@redhat.com>	2018-11-12 13:31:13 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-12 17:29:24 +0100
commit	7eb71f84db2f2d9a6e79a42d25bb676cf1018a90 (patch)
tree	d889b3460402badb036c654cec4c166d9be5d2a6
parent	c846e85f03b635c88e043166a352a42eeae39304 (diff)
honor getNumDecimalSep for keypad input in native gtk3 dialogs

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2019-02-11 15:10:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/04a6277f40727bf814c67a75e55ce3a6dcbc6bec%5E%21

Resolves: tdf#123309 destroy menu before menubutton

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-02-11 15:35:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/129899248e035a0fb751c943e4a4cdf1713beec7%5E%21

Resolves: tdf#123309 destroy menu before menubutton

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-02-12 12:55:29 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: a8f21e120b1073d7019d41e85cc9a15104ed5c93
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!